Loading...
Searching...
No Matches
pappso::PeakIonIsotopeMatch Class Reference

`#include <peakionisotopematch.h>`

Inheritance diagram for pappso::PeakIonIsotopeMatch:

## Public Member Functions

| PeakIonIsotopeMatch (const DataPoint &peak, const PeptideNaturalIsotopeAverageSp &naturalIsotopeAverageSp, const PeptideFragmentIonSp &ion_sp)
| PeakIonIsotopeMatch (const PeakIonIsotopeMatch &other)
| PeakIonIsotopeMatch (PeakIonIsotopeMatch &&other)
virtual | ~PeakIonIsotopeMatch ()
virtual const PeptideNaturalIsotopeAverageSp & | getPeptideNaturalIsotopeAverageSp () const
PeakIonIsotopeMatch & | operator= (const PeakIonIsotopeMatch &other)
virtual QString | toString () const
Public Member Functions inherited from pappso::PeakIonMatch
| PeakIonMatch (const DataPoint &peak, const PeptideFragmentIonSp &ion_sp, unsigned int charge)
| PeakIonMatch (const PeakIonMatch &other)
| PeakIonMatch (PeakIonMatch &&other)
virtual | ~PeakIonMatch ()
PeakIonMatch & | operator= (const PeakIonMatch &other)
virtual const PeptideFragmentIonSp & | getPeptideFragmentIonSp () const
const DataPoint & | getPeak () const
unsigned int | getCharge () const
Enums::PeptideIon | getPeptideIonType () const
PeptideDirection | getPeptideIonDirection () const

## Private Attributes

PeptideNaturalIsotopeAverageSp | _naturalIsotopeAverageSp

## Detailed Description

Definition at line 46 of file peakionisotopematch.h.

## Constructor & Destructor Documentation

## PeakIonIsotopeMatch() [1/3]

pappso::PeakIonIsotopeMatch::PeakIonIsotopeMatch | ( | const DataPoint & | peak,
|  | const PeptideNaturalIsotopeAverageSp & | naturalIsotopeAverageSp,
|  | const PeptideFragmentIonSp & | ion_sp )

Definition at line 59 of file peakionisotopematch.cpp.

: PeakIonMatch(peak, ion_sp, naturalIsotopeAverageSp.get()->getCharge()),
_naturalIsotopeAverageSp(naturalIsotopeAverageSp)
{
qDebug();
}
pappso::PeakIonIsotopeMatch::_naturalIsotopeAverageSp
PeptideNaturalIsotopeAverageSp _naturalIsotopeAverageSp
Definition peakionisotopematch.h:65
pappso::PeakIonMatch::PeakIonMatch
PeakIonMatch(const DataPoint &peak, const PeptideFragmentIonSp &ion_sp, unsigned int charge)
Definition peakionmatch.cpp:35

References pappso::PeakIonMatch::PeakIonMatch(), _naturalIsotopeAverageSp, and pappso::PeakIonMatch::getCharge().

Referenced by PeakIonIsotopeMatch(), PeakIonIsotopeMatch(), and operator=().

## PeakIonIsotopeMatch() [2/3]

pappso::PeakIonIsotopeMatch::PeakIonIsotopeMatch | ( | const PeakIonIsotopeMatch & | other | ) |

Definition at line 69 of file peakionisotopematch.cpp.

: PeakIonMatch(other)
{
_naturalIsotopeAverageSp = other._naturalIsotopeAverageSp;
}

References PeakIonIsotopeMatch(), pappso::PeakIonMatch::PeakIonMatch(), and _naturalIsotopeAverageSp.

## PeakIonIsotopeMatch() [3/3]

pappso::PeakIonIsotopeMatch::PeakIonIsotopeMatch | ( | PeakIonIsotopeMatch && | other | ) |

Definition at line 75 of file peakionisotopematch.cpp.

: PeakIonMatch(std::move(other))
{
_naturalIsotopeAverageSp = other._naturalIsotopeAverageSp;
}

References PeakIonIsotopeMatch(), pappso::PeakIonMatch::PeakIonMatch(), and _naturalIsotopeAverageSp.

## ~PeakIonIsotopeMatch()

pappso::PeakIonIsotopeMatch::~PeakIonIsotopeMatch | ( |  | ) |

virtual

Definition at line 81 of file peakionisotopematch.cpp.

{
}

## Member Function Documentation

## getPeptideNaturalIsotopeAverageSp()

const PeptideNaturalIsotopeAverageSp & pappso::PeakIonIsotopeMatch::getPeptideNaturalIsotopeAverageSp | ( |  | ) | const

virtual

Definition at line 85 of file peakionisotopematch.cpp.

{
return _naturalIsotopeAverageSp;
}

References _naturalIsotopeAverageSp.

Referenced by pappso::QCPSpectrum::addMassDelta(), and pappso::findComplementIonType().

## operator=()

PeakIonIsotopeMatch & pappso::PeakIonIsotopeMatch::operator= | ( | const PeakIonIsotopeMatch & | other | ) |

Definition at line 92 of file peakionisotopematch.cpp.

{
PeakIonMatch::operator=(other);
_naturalIsotopeAverageSp = other._naturalIsotopeAverageSp;
return *this;
}
pappso::PeakIonMatch::operator=
PeakIonMatch & operator=(const PeakIonMatch &other)
Definition peakionmatch.cpp:58

References PeakIonIsotopeMatch(), _naturalIsotopeAverageSp, and pappso::PeakIonMatch::operator=().

## toString()

QString pappso::PeakIonIsotopeMatch::toString | ( |  | ) | const

virtual

Reimplemented from pappso::PeakIonMatch.

Definition at line 102 of file peakionisotopematch.cpp.

{
return QString("%1isotope%2r%3mz%4")
.arg(PeakIonMatch::toString())
.arg(_naturalIsotopeAverageSp.get()->getIsotopeNumber())
.arg(_naturalIsotopeAverageSp.get()->getIsotopeRank())
.arg(getPeak().x);
}
pappso::PeakIonMatch::getPeak
const DataPoint & getPeak() const
Definition peakionmatch.cpp:74
pappso::PeakIonMatch::toString
virtual QString toString() const
Definition peakionmatch.cpp:98
pappso::PeptideIonCter::x
@ x
Definition peptide.h:92

References _naturalIsotopeAverageSp, pappso::PeakIonMatch::getPeak(), pappso::PeakIonMatch::toString(), and pappso::x.

## Member Data Documentation

## _naturalIsotopeAverageSp

PeptideNaturalIsotopeAverageSp pappso::PeakIonIsotopeMatch::_naturalIsotopeAverageSp

private

Definition at line 65 of file peakionisotopematch.h.

Referenced by PeakIonIsotopeMatch(), PeakIonIsotopeMatch(), PeakIonIsotopeMatch(), getPeptideNaturalIsotopeAverageSp(), operator=(), and toString().

The documentation for this class was generated from the following files:

- pappsomspp/core/psm/peakionisotopematch.h
- pappsomspp/core/psm/peakionisotopematch.cpp